"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountsEndOfDay = void 0;
const baseResource_1 = require("./baseResource");
class AccountsEndOfDay extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/account-end-of-day", config);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params === null || params === void 0 ? void 0 : params.customerId }),
            ...((params === null || params === void 0 ? void 0 : params.accountId) && { "filter[accountId]": params === null || params === void 0 ? void 0 : params.accountId }),
            ...((params === null || params === void 0 ? void 0 : params.since) && { "filter[since]": params === null || params === void 0 ? void 0 : params.since }),
            ...((params === null || params === void 0 ? void 0 : params.until) && { "filter[until]": params === null || params === void 0 ? void 0 : params.until }),
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.AccountsEndOfDay = AccountsEndOfDay;
